* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  display: grid;
  place-items: center;
}

.container {
  width: 300px;
  height: 300px;
  position: relative;
}

.container > div {
  position: absolute;
  width: 100%;
  height: 100%;

  animation: rotation 5s linear infinite;
  animation-delay: calc(0.15s * var(--i));
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(720deg);
  }
}

.ball {
  position: absolute;
  width: 2px;
  height: 2px;
  background-color: #00a814;
  border-radius: 50%;
  animation: resize 2s linear infinite;
  animation-delay: calc(0.15s * var(--i));
}

@keyframes resize {
  0% {
    filter: hue-rotate(0deg);
  }
  90% {
    transform: scale(50);
    filter: hue-rotate(360deg);
  }
}
